
 ;;;;; I will make him look like the RohanElvenWarrior (those from Helm's Deep).  All this for a verry verry short scene :( 
 ;;;;; Code taken from data\ini\object\obsolete\obsolete.ini 







	; ------ Attacking ------- ;
		AnimationState					= PREATTACK_A 
			Animation					= ReadyToDrawn
				AnimationName			= RUElfWar_ATKA1
				AnimationMode			= ONCE
				AnimationBlendTime		= 20				; Must be 0 blend time otherwise the arrow will linger for the duration of the blend!
			End
			
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("ArrowNock")
			EndScript
		End
		AnimationState					= FIRING_OR_RELOADING_A
			StateName					= STATE_Firing
			Animation					= OneFrameOfShooting
				AnimationName			= RUElfWar_ATKA2
				AnimationMode			= ONCE
				AnimationBlendTime		= 0
				AnimationSpeedFactorRange	= 1.5 1.5
			End
			Flags						= START_FRAME_FIRST			
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("ArrowNock")
			EndScript
		End
	; ------------ Moving ------------- ;
		AnimationState        			= MOVING
			StateName					= Moving_Bow
			SimilarRestart				= Yes
			Animation           		= run_b
				AnimationName       	= RUElfWar_RUNB
				AnimationMode       	= LOOP
				Distance				= 40
			End
			Animation					= finishrun_s
				AnimationName       	= RUElfWar_RUNS
				AnimationMode       	= ONCE
				AnimationBlendTime		= 0
				Distance				= 40
			End
			Animation					= runtrans_sb
				AnimationName       	= RUElfWar_RUNT
				AnimationMode       	= ONCE
				AnimationBlendTime		= 0
				Distance				= 70
			End
			Animation					= runtrans_bs_finish
				AnimationName       	= RUElfWar_RUNC
				AnimationMode       	= ONCE
				AnimationBlendTime		= 0
				Distance				= 70
			End
			Animation					= runnoblend_b
				AnimationName       	= RUElfWar_RUNB
				AnimationMode       	= LOOP
				AnimationBlendTime		= 0
				Distance				= 40
			End
			Flags = MAINTAIN_FRAME_ACROSS_STATES RESTART_ANIM_WHEN_COMPLETE
			
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("arrownock")
				PrevAnim	= CurDrawablePrevAnimation()
				PrevState	= CurDrawablePrevAnimationState()
				
				if PrevState == "Moving_Sword"
				then
					if PrevAnim == "runtrans_bs"
					then
						return "runtrans_bs_finish"
					elseif PrevAnim == "finishrun_b"
					then
						return "runnoblend_b"
					else
						return "finishrun_s"
					end
				elseif PrevAnim == "finishrun_s" or PrevAnim == "runtrans_bs_finish" or PrevAnim == "WantBow"
				then
					return "runtrans_sb"
				elseif PrevAnim == "runtrans_sb" or PrevAnim == "run_b" or PrevAnim == "runnoblend_b"
				then
					return "runnoblend_b"
				else
					return "run_b"
				end				
			EndScript
		End
		AnimationState					= CONTINUOUS_FIRE_MEAN		;;;;;;;;;HACK TO STOP JITTERS
			Animation					= HangFrameWhileCoasting
				AnimationName			= RUElfWar_ATKA2
				AnimationMode			= MANUAL
				AnimationBlendTime		= 0
			End
			Flags						= START_FRAME_LAST
						
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("ARROWNOCK")
				if CurDrawablePrevAnimationState() == "STATE_Firing" then CurDrawableAllowToContinue() end
			EndScript
		End
		AnimationState					= CONTINUOUS_FIRE_SLOW
			StateName					= Ready_Bow
			Animation					= PutAwayArrow
				AnimationName			= RUElfWar_ATKA3
				AnimationMode			= ONCE
			End
						
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("ARROWNOCK")
			EndScript
		End
		AnimationState					= ENGAGED
			StateName					= Ready_Bow
			
			Animation					= IDLB
				AnimationName			= RUElfWar_IDLB
				AnimationMode			= LOOP
			End
			
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("arrownock")
				PrevAnim = CurDrawablePrevAnimation()
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Bored_Bow"		then CurDrawableSetTransitionAnimState("TRANS_BR_Bow")				end
				if Prev == "Selected_Bow"	then CurDrawableSetTransitionAnimState("TRANS_SR_Bow")				end
				if Prev == "Selected_Sword" or Prev == "Moving_Sword" or Prev == "Ready_Sword" or Prev == "Bored_Sword" or PrevAnim == "WantBow"
				then 
					CurDrawableSetTransitionAnimState("TRANS_SwordToBow_Ready")	
				end				
			EndScript
		End
		AnimationState					= ATTACKING
			StateName					= Ready_Bow
			
			Animation					= IDLB
				AnimationName			= RUElfWar_IDLB
				AnimationMode			= LOOP
			End
			
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("arrownock")
				PrevAnim = CurDrawablePrevAnimation()
				Prev = CurDrawablePrevAnimationState()
				if Prev == "Bored_Bow"		then CurDrawableSetTransitionAnimState("TRANS_BR_Bow")				end
				if Prev == "Selected_Bow"	then CurDrawableSetTransitionAnimState("TRANS_SR_Bow")				end
				if Prev == "Selected_Sword" or Prev == "Moving_Sword" or Prev == "Ready_Sword" or Prev == "Bored_Sword" or PrevAnim == "WantBow"
				then 
					CurDrawableSetTransitionAnimState("TRANS_SwordToBow_Ready")	
				end				
			EndScript
		End
	; ------ Selected ------ ;
		AnimationState				=	SELECTED 
			StateName           	=	Selected_Bow
			
			Animation				=	ATNE
				AnimationName		=	RUElfWar_ATNE
				AnimationMode		=	LOOP
			End
			
			BeginScript
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("arrownock")
				PrevAnim = CurDrawablePrevAnimation()
				Prev = CurDrawablePrevAnimationState()
				if Prev == "STATE_Emotion_Bow" or Prev == "STATE_Emotion_Sword" then CurDrawableAllowToContinue() end
				if Prev == "Bored_Bow" then CurDrawableSetTransitionAnimState("TRANS_BS_Bow")				end
				if Prev == "Ready_Bow" then CurDrawableSetTransitionAnimState("TRANS_RS_Bow")				end
				if Prev == "Selected_Sword" or Prev == "Moving_Sword" or Prev == "Ready_Sword" or Prev == "Bored_Sword" or PrevAnim == "WantBow"
				then 
					CurDrawableSetTransitionAnimState("TRANS_SwordToBow_Selected")	
				end	
			EndScript
		End
	; --------- Hit Reactions ---------- ;
		AnimationState 						= HIT_REACTION HIT_LEVEL_1
			StateName						= Bored_Bow
			Animation 						= Hit_Level_1_a
				AnimationName				= RUElfWar_HITB
				AnimationMode 				= ONCE
				AnimationSpeedFactorRange	= .9 .9
			End
		End
	;----------------- Bow Transitions -------------------------;
		TransitionState       			= TRANS_BS_Bow
			Animation           		= ATND
				AnimationName     		= RUElfWar_ATND
				AnimationMode     		= ONCE
				AnimationBlendTime		= 10
			End
		End
		TransitionState       			= TRANS_SR_Bow
			Animation           		= ATNE
				AnimationName     		= RUElfWar_ATNF
				AnimationMode     		= ONCE
			End
		End
		TransitionState       			= TRANS_SB_Bow
			Animation           		= ATND
				AnimationName     		= RUElfWar_ATND
				AnimationMode     		= ONCE_BACKWARDS
			End
			Flags						= START_FRAME_LAST
		End
		TransitionState       			= TRANS_RS_Bow
			Animation           		= ATNF
				AnimationName     		= RUElfWar_ATNF
				AnimationMode     		= ONCE_BACKWARDS
			End
			Flags						= START_FRAME_LAST
		End
		TransitionState       			= TRANS_BR_Bow
			Animation           		= IDLB
				AnimationName     		= RUElfWar_IDLB
				AnimationMode     		= ONCE
				AnimationBlendTime		= 20
			End
		End
		TransitionState       			= TRANS_RB_Bow
			Animation           		= IDLD
				AnimationName     		= RUElfWar_IDLD
				AnimationMode     		= ONCE
				AnimationBlendTime		= 20
			End
		End
		IdleAnimationState
			StateName					= Bored_Bow
			
			Animation					= IdleBowB
				AnimationName			= RUElfWar_IDLDX1
				AnimationMode			= ONCE
			End
			Animation					= IdleBowD
				AnimationName			= RUElfWar_IDLD
				AnimationMode			= ONCE
			End
			Animation					= IdleNoFidget
				AnimationName			= RUElfWar_IDLE
				AnimationMode			= ONCE
				AnimationPriority		= 20
			End
			Animation					= IdleNoFidget2
				AnimationName			= RUElfWar_IDLE
				AnimationMode			= ONCE
				AnimationPriority		= 10
			End
			Flags						= RESTART_ANIM_WHEN_COMPLETE
			BeginScript	
				CurDrawableShowSubObject("arrow")
				CurDrawableShowSubObject("arrownock")			
				PrevAnim = CurDrawablePrevAnimation()
				Prev = CurDrawablePrevAnimationState()
				if Prev == "TRANS_SB_Bow" or Prev == "TRANS_RB_Bow" then return "IdleNoFidget" end
				if Prev == "Selected_Bow"		then CurDrawableSetTransitionAnimState("TRANS_SB_Bow")		end
				if Prev == "Ready_Bow"			then CurDrawableSetTransitionAnimState("TRANS_RB_Bow")		end
				if Prev == "Selected_Sword" or Prev == "Moving_Sword" or Prev == "Ready_Sword" or Prev == "Bored_Sword" or PrevAnim == "WantBow"
				then 
					CurDrawableSetTransitionAnimState("TRANS_SwordToBow_Selected")	
				end	
			EndScript
		End